[Unit]
Description=Picom compositor
Documentation=man:picom(1)
PartOf=graphical-session.target
# Try to restart up to 3 times
StartLimitBurst=3
# Don't try to restart after 60 seconds
StartLimitIntervalSec=60

[Service]
ExecStart=/usr/bin/picom --dbus
ExecReload=/usr/bin/kill -SIGUSR1 $MAINPID
# Try to restart no matter how the process ended
Restart=always
# Restart in 5 second intervals
RestartSec=5

[Install]
WantedBy=xsession.target